import { Component, h, Prop } from '@stencil/core';
export class SecondTitleBlock {
    render() {
        return (h("div", { class: "container title-wrapper" },
            h("div", { class: "row" },
                h("div", { class: "col" },
                    h("div", { class: "second-category" }, this.secondTitle.category),
                    h("div", { class: "second-title-news" }, this.secondTitle.title),
                    h("div", { class: "second-title-author" },
                        h("div", { class: "name" }, this.secondTitle.authorName),
                        h("div", { class: "date" }, this.secondTitle.date)))),
            h("div", { class: "row" },
                h("div", { class: "col" },
                    h("div", { class: "header-img-title", style: { backgroundImage: `url(${this.secondTitle.img})` } }))),
            h("div", { class: "row" },
                h("div", { class: "col" },
                    h("div", { class: "text-title" }, this.secondTitle.text)))));
    }
    static get is() { return "second-title-block"; }
    static get originalStyleUrls() { return {
        "$": ["second-title-block.css"]
    }; }
    static get styleUrls() { return {
        "$": ["second-title-block.css"]
    }; }
    static get properties() { return {
        "secondTitle": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "secondTitleBlockItem",
                "resolved": "secondTitleBlockItem",
                "references": {
                    "secondTitleBlockItem": {
                        "location": "import",
                        "path": "./res/interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            }
        }
    }; }
}
